import { SVGProps } from 'react';
export interface AnnotationLineProps extends Omit<SVGProps<SVGLineElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'stroke'> {
    x1: number | string;
    x2: number | string;
    y1: number | string;
    y2: number | string;
    color?: string;
}
export declare function Line(props: AnnotationLineProps): JSX.Element;
